#!/bin/bash

## Script permettant de tuer l'ensemble des processus portant le nom passé en argument

parametre=$1

if [ $parametre ] 
then
	if [ $parametre == "--help" ]
	then
		echo "Script permettant de tuer l'ensemble des processus portant le nom passé en argument"
		echo -e "Pour utiliser ce script, faites : \n$0 [programme]\n"
	else	
		echo "Extinction des processus portant le nom '$parametre'"
		for i in `pgrep -f $1`
		do
			kill -2 $i || kill -9 $i
			echo "Processus $1 tué"
		done
	fi
else
	echo -e "Aucun paramètre.\nPour en savoir plus faites $0 --help"
fi
exit 0;
